services:
  siyuan:
    image: b3log/siyuan:v3.5.9
    container_name: ${CONTAINER_NAME}
    restart: unless-stopped
    ports:
      - ${PANEL_APP_PORT_HTTP}:6806
    networks:
      - opsmind-network
    command: ['--workspace=/siyuan/workspace/', '--accessAuthCode=${ACCESS_AUTH_CODE}']
    volumes:
      - ./data:/siyuan/workspace
    environment:
      - TZ=${TIME_ZONE}
      - PUID=1000
      - PGID=1000
    labels:
      createdBy: "Apps"
networks:  
  opsmind-network:  
    external: true
